local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS


STRINGS = GLOBAL.STRINGS
STRINGS.NAMES.ZANGETSU = "Zangetsu"
STRINGS.NAMES.HOLLOWMASK = "Hollow Mask"

GLOBAL.STRINGS.NAMES.HOLLOWMASK = "Hollow Mask"
GLOBAL.STRINGS.RECIPE_DESC.HOLLOWMASK = "Creepy but useful."

PrefabFiles = {
	"ichigo",
	"zangetsu",
	"hollowmask"
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/ichigo.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/ichigo.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/ichigo.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/ichigo.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/ichigo_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/ichigo_silho.xml" ),

    Asset( "IMAGE", "bigportraits/ichigo.tex" ),
    Asset( "ATLAS", "bigportraits/ichigo.xml" ),
	
	Asset("IMAGE", "minimap/ichigo.tex"),
    Asset("ATLAS", "minimap/ichigo.xml"),
}
 
AddMinimapAtlas("minimap/ichigo.xml")


local function load()
	--[

local hollowmask = GLOBAL.Recipe("hollowmask", { Ingredient("spidergland", 3), Ingredient("rocks", 12), Ingredient("nightmarefuel", 1)}, RECIPETABS.WAR, {SCIENCE=0})
hollowmask.atlas = "images/inventoryimages/hollowmask.xml"

	TheSim:LoadPrefabs({"hollowmask"})
	local hollowmask = GLOBAL.GetRecipe("hollowmask")	

end
	
AddGamePostInit(load)

package = GLOBAL.package
package.path = "mods\\Don't Starve Mod\\scripts\\?.lua;"..package.path
	

-- strings! Any "ICHIGO" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.ichigo = "The Shinigami"
GLOBAL.STRINGS.CHARACTER_NAMES.ichigo = "Ichigo"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.ichigo = "* All statistics in steam workshop!"
GLOBAL.STRINGS.CHARACTER_QUOTES.ichigo = "\"I will protect everyone!\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE character name
GLOBAL.STRINGS.CHARACTERS.ICHIGO = {}
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE = {}
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.EVERGREEN = "Glad it won't turn into a hollow when it dies."
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.RABBIT = "If only I could get in range to cut it."
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.CROW = "It doesn't look as friendly as the Redbird."
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.ROBIN = "Hopefully it will leave some seeds for me!"
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.SPIDER = "It seems a lot like a Hollow."
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.SPIDERQUEEN = "I will slay you!"
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.PERD = "I need those berries to fill my stomatch!"
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.HOUNDMOUND = "It's like a hollow spawner!"
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.PIGMAN = "I hope your friendly!"
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.BEEFALO = "I might be able to snag some fertilizer from it!"
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.KRAMPUS = "I must slay him before he takes my stuff!"
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.MERM = "Definitely foe!"
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.HOUND = "I'll definitely see more of you."
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.GHOST = "Good thing I can see you, and slay you!"
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.CHESTER = "You could come in handy."
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.MOSQUITO = "Stay away from me or you'll die!"
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.SPIDER_WARRIOR = "Show me your leader!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.ZANGETSU = "Go forward! Never stand still. Retreat and you will age. Hesitate and you will die. Shout... My name is... Zangetsu!"
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.SPIDERDEN = "Come out and fight!"
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.SPEAR = "Looks like it belongs to Ikkaku."
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.SKELETON = "Ah! A hollow!"
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.BEEHIVE = "How many dare to fight?"
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.BEE = "A bee sting won't hurt at all, will it?"
GLOBAL.STRINGS.CHARACTERS.ICHIGO.DESCRIBE.HOLLOWMASK = "This will help me improve my fighting!"





table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "ichigo")

AddModCharacter("ichigo")
